%global debug_package   %{nil}
Name:           python3-dolfin
Version:        2017.2.0
Release:        1%{?dist}
Summary:        DOLFIN is the computational backend of FEniCS and implements the FEniCS Problem Solving Environment in Python and C++

License:        LGPLv3
URL:            https://bitbucket.org/fenics-project/dolfin
Source0:        https://bitbucket.org/fenics-project/dolfin/downloads/dolfin-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  sphinx
BuildRequires:  dolfin-devel = %{version}
BuildRequires:  boost-devel
BuildRequires:  python3-devel
BuildRequires:  pybind11-devel = 2.2.2
Requires:  python3-ply
Requires:  python3-pkgconfig

%description
DOLFIN is the computational backend of FEniCS and implements the FEniCS Problem
Solving Environment in Python and C++.

%prep
%autosetup -p1 -n dolfin-%{version}

%build
pushd python
%py3_build
popd

%install
pushd python
%py3_install
popd

%files
%doc ChangeLog.rst README.rst
%license COPYING COPYING.LESSER
%{python3_sitearch}/dolfin/
%{python3_sitearch}/dolfin_utils/
%{python3_sitearch}/dolfin*.egg-info/

%changelog
* Wed Apr 04 2018 Eldar Yusupov <eyusupov@gmail.com> - 2017.2.0.1
- Initial release.
